Memory Stores
Get an update result
Retrieves the status and result of a memory store update operation.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry ścieżki
name
string
wymagane
The name of the memory store.
update_id
string
wymagane
The ID of the memory update operation.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Odpowiedzi
The request has succeeded.
Treść
update_id
string
wymagane
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
wymagane
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
wymagane
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
wymagane
Usage statistics of a memory store operation.
embedding_tokens
integer
wymagane
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
wymagane
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
wymagane
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
wymagane
The public continuation instruction.
Żądanie
GET /memory_stores/{name}/updates/{update_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json